--- autogen-5 18 autoopts mk-tpl-config sh orig 2014-06-14 13 27 16 00

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
--- ./autogen-5.18.3/autoopts/mk-tpl-config.sh.orig 2014-06-14 13:27:16.000000000 +0400
+++ ./autogen-5.18.3/autoopts/mk-tpl-config.sh 2014-06-14 13:28:49.000000000 +0400
@@ -200,9 +200,9 @@
cd ${builddir}
find_libguiledir "${LGCFLAGS}"
- list=`set +e ; exec 2>/dev/null
- find ${libguiledir}/libguile* -type f | \
- xargs grep -l -E '\<noreturn\>'`
+ list=`find ${libguiledir}/libguile* -type f`
+ # only fail if grep throws an error, exitcode >= 2.
+ list=`if ! grep -l -E '\<noreturn\>' $list ; then [ $? -lt 2 ] ; fi`
test -z "$list" && exit 0